//+------------------------------------------------------------------+
//|                                                  m-Fibonacci.mq4 |
//|                   D1 -   . aka KimIV |
//|                                              http://www.kimiv.ru |
//|      -   (MikeZTN) |
//|                                                    ICQ 138092006 |
//|                                    2008.09.09     |
//+------------------------------------------------------------------+
#property copyright "  aka MikeZTN"
#property link      "ICQ 138092006"

#property indicator_chart_window
#property indicator_buffers 1
#property indicator_color1 0x00FFFF

//-------    -------------------------------
extern int TFBar = 1440;  //   
extern string FileName = "level.wav";
extern int delta=5;
extern bool Notice=true;
datetime LastTime;

//-------   ------------------------------------------
   double pivot[];
  

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
  
  bool OK_Period=false;   
  switch (TFBar)
  {    
    case 30:OK_Period=true;break;
    case 60:OK_Period=true;break;
    case 240:OK_Period=true;break;
    case 1440:OK_Period=true;break;
    case 10080:OK_Period=true;break;
    case 43200:OK_Period=true;break;
  }
  if (OK_Period==false)
     {
       Comment("     TFBar!     : 30,60,240,1440  ..");   
       return(0);
     }
      
  IndicatorShortName("m-Fibonacci (" +TFBar+")");    
      
  SetIndexBuffer(0, pivot);
  SetIndexStyle (0, DRAW_LINE, STYLE_DOT);
  SetIndexEmptyValue(0, EMPTY_VALUE);
  Comment(""); 
}

void Beep(double Level)
  { 
    if (Bid<=Level+delta*Point && Bid>=Level-delta*Point && Notice==true && LastTime!=Time[0])
    {
      PlaySound("level.wav");            
      Print( TimeToStr(Time[0],TIME_SECONDS));
      LastTime = Time[0];        
    }      
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
  double dMax, dMin, dClose, R, p;
  int    i, nsb, prevDay, shift;  
 
  for (i=0; i<Bars-1; i++) 
  {
   nsb=iBarShift(NULL, TFBar, Time[i]);
   dMax=iHigh(NULL, TFBar, nsb);
   dMin=iLow (NULL, TFBar, nsb);
   dClose =iClose(NULL, TFBar, nsb);
   R = dMax - dMin; // 
   p = (dMax + dMin )/2; //            
   pivot[i] = p; 
       
  }
  
  Beep(pivot[0]);
     
   
}
 
//+------------------------------------------------------------------+

